MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Defines | Functions

# src/update_internal.h File Reference

`#include <stdbool.h>`

Go to the source code of this file.

## Defines
#define | G_LOG_DOMAIN "update"
## Functions
unsigned | update_queue_push (const char *path, bool discard, unsigned base)
char * | update_queue_shift (bool *discard_r)
void | update_walk_global_init (void)
void | update_walk_global_finish (void)
bool | update_walk (const char *path, bool discard)
| Returns true if the database was modified.
void | update_remove_global_init (void)
void | update_remove_global_finish (void)
void | update_remove_song (const struct song *song)
| Sends a signal to the main thread which will in turn remove the song: from the sticker database and from the playlist.

## Define Documentation

#define G_LOG_DOMAIN "update"

Definition at line 26 of file update_internal.h.

## Function Documentation

unsigned update_queue_push | ( | const char * | path,
|  | bool | discard,
|  | unsigned | base
| ) |  |

char* update_queue_shift | ( | bool * | discard_r | ) |

void update_remove_global_finish | ( | void |  | ) |

void update_remove_global_init | ( | void |  | ) |

void update_remove_song | ( | const struct song * | song | ) |

Sends a signal to the main thread which will in turn remove the song: from the sticker database and from the playlist.

This serialized access is implemented to avoid excessive locking.

bool update_walk | ( | const char * | path,
|  | bool | discard
| ) |  |

Returns true if the database was modified.

void update_walk_global_finish | ( | void |  | ) |

void update_walk_global_init | ( | void |  | ) |